Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018747
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2011-10-10 21:162011-11-30 22:16
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version3.0MP6
StatusclosedFix in branchFixed in SCM revisiond4b1d314aa16
ProjectionnoneETAnoneTarget Version3.0MP6
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018747: Support and/or and default operator logic in text fields

DescriptionIt should be possible to enter a search query like this in the filter field of a text field:
east or west

which should show all records which contain either east or west in the value.

See this SC forum thread also:
http://forums.smartclient.com/showthread.php?t=19082 [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Filespng file icon broken or 1.PNG [^] (28,094 bytes) 2011-11-15 11:02


png file icon broken or 2.PNG [^] (29,329 bytes) 2011-11-15 11:02


png file icon broken-or-3.PNG [^] (7,951 bytes) 2011-11-15 11:03


diff file icon 18747.diff [^] (692 bytes) 2011-11-30 07:28 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0042043)
hgbot (developer)
2011-10-23 21:01

Repository: erp/devel/pi
Changeset: f5b7b81d640d06e1521d8847a16bbc9852e5d3a2
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Oct 23 17:55:13 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f5b7b81d640d06e1521d8847a16bbc9852e5d3a2 [^]

Fixes issue 18747: Support and/or and default operator logic in text fields

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0042438)
rgoris (developer)
2011-11-02 11:39

great
(0042546)
hudsonbot (developer)
2011-11-04 13:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d10da320df2a [^]

Maturity status: Test
(0042821)
rgoris (developer)
2011-11-15 11:02

issue with or: after hitting enter it automatically inserts "and" twice and the resulting set is emtpy. See images.
(0043419)
mtaal (developer)
2011-11-30 07:28

Note: this error only occurs in case of FK fields.
(0043420)
hgbot (developer)
2011-11-30 11:15

Repository: erp/devel/pi
Changeset: d4b1d314aa16be8db003948521be5b67850c3e1c
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Nov 30 11:15:09 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d4b1d314aa16be8db003948521be5b67850c3e1c [^]

Fixes issue 18747: Support and/or and default operator logic in text fields

---
M .hgignore
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0043577)
dbaz (developer)
2011-11-30 13:11

Reviewed @ changeset 14762 - 1fac7a8950d1
(0043609)
hudsonbot (developer)
2011-11-30 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/598bceb6e1a9 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-10-10 21:16 mtaal New Issue
2011-10-10 21:16 mtaal Assigned To => mtaal
2011-10-10 21:16 mtaal Modules => Core
2011-10-10 21:16 mtaal Type defect => feature request
2011-10-10 21:17 iciordia Issue Monitored: iciordia
2011-10-11 03:10 pjuvara Issue Monitored: pjuvara
2011-10-23 21:01 hgbot Checkin
2011-10-23 21:01 hgbot Note Added: 0042043
2011-10-23 21:01 hgbot Status new => resolved
2011-10-23 21:01 hgbot Resolution open => fixed
2011-10-23 21:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f5b7b81d640d06e1521d8847a16bbc9852e5d3a2 [^]
2011-11-02 11:39 rgoris Note Added: 0042438
2011-11-02 11:39 rgoris Status resolved => closed
2011-11-04 13:56 hudsonbot Checkin
2011-11-04 13:56 hudsonbot Note Added: 0042546
2011-11-15 11:02 rgoris Note Added: 0042821
2011-11-15 11:02 rgoris Status closed => new
2011-11-15 11:02 rgoris Resolution fixed => open
2011-11-15 11:02 rgoris File Added: broken or 1.PNG
2011-11-15 11:02 rgoris File Added: broken or 2.PNG
2011-11-15 11:03 rgoris File Added: broken-or-3.PNG
2011-11-15 11:05 rgoris Priority normal => immediate
2011-11-15 11:05 rgoris Status new => scheduled
2011-11-15 11:05 rgoris Type feature request => defect
2011-11-15 11:06 rgoris Target Version 3.0MP5 => 3.0MP6
2011-11-30 07:28 mtaal Note Added: 0043419
2011-11-30 07:28 mtaal File Added: 18747.diff
2011-11-30 11:15 hgbot Checkin
2011-11-30 11:15 hgbot Note Added: 0043420
2011-11-30 11:15 hgbot Status scheduled => resolved
2011-11-30 11:15 hgbot Resolution open => fixed
2011-11-30 11:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/f5b7b81d640d06e1521d8847a16bbc9852e5d3a2 [^] => http://code.openbravo.com/erp/devel/pi/rev/d4b1d314aa16be8db003948521be5b67850c3e1c [^]
2011-11-30 13:11 dbaz Note Added: 0043577
2011-11-30 13:11 dbaz Status resolved => closed
2011-11-30 13:11 dbaz Fixed in Version => 3.0MP6
2011-11-30 22:16 hudsonbot Checkin
2011-11-30 22:16 hudsonbot Note Added: 0043609


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker